Ubuntu 16.04.1_64bit部署运行Qt5.6.1的发布程序问题

zjb1025 发布于 2016/09/01 17:24
阅读 1K+
收藏 0

1.我的PC是Ubuntu16.04.1的64bit系统

2.我采用Qt5.6.1版本编译好的程序,需要移植到Ubuntu上,按照网上说的,将需要的依赖库都拷贝到指定路径中,因我的可执行软件需要访问设备文件,因此在增加权限的时候都是使用chmod a+x+s XX 

3.将LD_LIBRARY_PAH以及QT_QPA_PLATFORM_PLUGIN_PATH设置好,在终端使用sudo能运行,在其他用户模式下就不可运行,请教高手指点!

高手指点,请加Q:525368252

加载中
0
zjb1025
zjb1025
感觉我的问题,是因为可执行文件增加+s权限,才导致普通用户不可打开即LD_LIBRARY_PAH以及QT_QPA_PLATFORM_PLUGIN_PATH设置失败,请教高手指点!
返回顶部
顶部